package com.gx.obe.management.composite;

import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.CLabel;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.common.icons.IconsActivator;
import com.swtdesigner.ResourceManager;

public class NoEvaluationStepComposite extends Composite {

	/**
	 * Create the composite.
	 * @param parent
	 * @param style
	 */
	public NoEvaluationStepComposite(Composite parent, int style) {
		super(parent, style);
		setLayout(new GridLayout(1, false));
		
		CLabel label = new CLabel(this, SWT.NONE);
		label.setImage(ResourceManager.getPluginImage(IconsActivator.PLUGIN_ID, "icons/tips_error.png"));
		label.setLayoutData(new GridData(SWT.CENTER, SWT.CENTER, true, true, 1, 1));
		label.setText("未配置评标步骤！");

	}

	@Override
	protected void checkSubclass() {
		// Disable the check that prevents subclassing of SWT components
	}

}
